com.genesyslab.wfm8.API.service.calendar810

## Class CalDateShiftHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar810.CalDateShiftHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CalDateShiftHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `date` Date
    `protected java.util.List<CalShiftInfo>` | `objectArray` Array of shifts
    `protected int` | `objectArrayNSizeIs` Shift array size
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalDateShiftHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getDate()` Gets the date value for this CalDateShiftHolder.
    `java.util.List<CalShiftInfo>` | `getObjectArray()` Gets the objectArray value for this CalDateShiftHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CalDateShiftHolder.
    `int` | `hashCode()`
    `void` | `setDate(double date)` Sets the date value for this CalDateShiftHolder.
    `void` | `setObjectArray(java.util.List<CalShiftInfo> objectArray)` Sets the objectArray value for this CalDateShiftHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CalDateShiftHolder.
    `java.lang.String` | `toString()`
    `CalDateShiftHolder` | `withDate(double value)`
    `CalDateShiftHolder` | `withObjectArray(CalShiftInfo... values)`
    `CalDateShiftHolder` | `withObjectArray(java.util.Collection<CalShiftInfo> values)`
    `CalDateShiftHolder` | `withObjectArrayNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### date

          protected double date

      Date

    - #### objectArrayNSizeIs

          protected int objectArrayNSizeIs

      Shift array size

    - #### objectArray

          protected java.util.List<CalShiftInfo> objectArray

      Array of shifts

  - ### Constructor Detail

    - #### CalDateShiftHolder

          public CalDateShiftHolder()

  - ### Method Detail

    - #### getDate

          public double getDate()

      Gets the date value for this CalDateShiftHolder.
      Returns:
        date

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalDateShiftHolder.
      Parameters:
        `date` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CalDateShiftHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CalDateShiftHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public java.util.List<CalShiftInfo> getObjectArray()

      Gets the objectArray value for this CalDateShiftHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(java.util.List<CalShiftInfo> objectArray)

      Sets the objectArray value for this CalDateShiftHolder.
      Parameters:
        `objectArray` -

    - #### withObjectArray

          public CalDateShiftHolder withObjectArray(java.util.Collection<CalShiftInfo> values)

    - #### withObjectArray

          public CalDateShiftHolder withObjectArray(CalShiftInfo... values)

    - #### withObjectArrayNSizeIs

          public CalDateShiftHolder withObjectArrayNSizeIs(int value)

    - #### withDate

          public CalDateShiftHolder withDate(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.